# Class Module

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.idea.model.Module

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

@Deprecated public class Module extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Deprecated.
Will be removed in Gradle 10.
Represents the customizable elements of an iml (via XML hooks everything of the iml is customizable).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INHERITED`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Module(org.gradle.internal.xml.XmlTransformer withXmlActions, PathFactory pathFactory)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `configure(Path contentPath, Set<Path> sourceFolders, Set<Path> testSourceFolders, Set<Path> resourceFolders, Set<Path> testResourceFolders, Set<Path> generatedSourceFolders, Set<Path> excludeFolders, Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, Set<Dependency> dependencies, String jdkName, String languageLevel)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `Path`
  `getContentPath()`
  Deprecated.
  The directory for the content root of the module.
  `protected String`
  `getDefaultResourceName()`
  Deprecated.
  `Set<Dependency>`
  `getDependencies()`
  Deprecated.
  The dependencies of this module.
  `Set<Path>`
  `getExcludeFolders()`
  Deprecated.
  The directories to be excluded.
  `Set<Path>`
  `getGeneratedSourceFolders()`
  Deprecated.
  The directories containing generated the production sources.
  `String`
  `getJdkName()`
  Deprecated.
  `Path`
  `getOutputDir()`
  Deprecated.
  The output directory for production classes.
  `Set<Path>`
  `getResourceFolders()`
  Deprecated.
  The directories containing resources.
  `Set<Path>`
  `getSourceFolders()`
  Deprecated.
  The directories containing the production sources.
  `Path`
  `getTestOutputDir()`
  Deprecated.
  The output directory for test classes.
  `Set<Path>`
  `getTestResourceFolders()`
  Deprecated.
  The directories containing test resources.
  `Set<Path>`
  `getTestSourceFolders()`
  Deprecated.
  The directories containing the test sources.
  `int`
  `hashCode()`
  Deprecated.
  `protected boolean`
  `isDependencyOrderEntry(Object orderEntry)`
  Deprecated.
  `boolean`
  `isInheritOutputDirs()`
  Deprecated.
  If true, output directories for this module will be located below the output directory for the project; otherwise, `outputDir` and `testOutputDir` will take effect.
  `protected void`
  `load(Node xml)`
  Deprecated.
  `void`
  `setContentPath(Path contentPath)`
  Deprecated.
  `void`
  `setDependencies(Set<Dependency> dependencies)`
  Deprecated.
  `void`
  `setExcludeFolders(Set<Path> excludeFolders)`
  Deprecated.
  `void`
  `setGeneratedSourceFolders(Set<Path> generatedSourceFolders)`
  Deprecated.
  `void`
  `setInheritOutputDirs(boolean inheritOutputDirs)`
  Deprecated.
  `void`
  `setJdkName(String jdkName)`
  Deprecated.
  `void`
  `setOutputDir(Path outputDir)`
  Deprecated.
  `void`
  `setResourceFolders(Set<Path> resourceFolders)`
  Deprecated.
  Sets the directories containing resources.
  `void`
  `setSourceFolders(Set<Path> sourceFolders)`
  Deprecated.
  `void`
  `setTestOutputDir(Path testOutputDir)`
  Deprecated.
  `void`
  `setTestResourceFolders(Set<Path> testResourceFolders)`
  Deprecated.
  Sets the directories containing test resources.
  `void`
  `setTestSourceFolders(Set<Path> testSourceFolders)`
  Deprecated.
  `protected void`
  `store(Node xml)`
  Deprecated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INHERITED

    public static final String INHERITED
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Module

    public Module(org.gradle.internal.xml.XmlTransformer withXmlActions, PathFactory pathFactory)
    Deprecated.

- ## Method Details

  - ### getContentPath

    public Path getContentPath()
    Deprecated.
    The directory for the content root of the module. Defaults to the project directory. If null, the directory containing the output file will be used.

  - ### setContentPath

    public void setContentPath(Path contentPath)
    Deprecated.

  - ### getSourceFolders

    public Set<Path> getSourceFolders()
    Deprecated.
    The directories containing the production sources. Must not be null.

  - ### setSourceFolders

    public void setSourceFolders(Set<Path> sourceFolders)
    Deprecated.

  - ### getTestSourceFolders

    public Set<Path> getTestSourceFolders()
    Deprecated.
    The directories containing the test sources. Must not be null.

  - ### setTestSourceFolders

    public void setTestSourceFolders(Set<Path> testSourceFolders)
    Deprecated.

  - ### getResourceFolders

    public Set<Path> getResourceFolders()
    Deprecated.
    The directories containing resources. Must not be null.
    Since:
      4.7

  - ### setResourceFolders

    public void setResourceFolders(Set<Path> resourceFolders)
    Deprecated.
    Sets the directories containing resources.
    Since:
      4.7

  - ### getTestResourceFolders

    public Set<Path> getTestResourceFolders()
    Deprecated.
    The directories containing test resources. Must not be null.
    Since:
      4.7

  - ### setTestResourceFolders

    public void setTestResourceFolders(Set<Path> testResourceFolders)
    Deprecated.
    Sets the directories containing test resources.
    Since:
      4.7

  - ### getGeneratedSourceFolders

    public Set<Path> getGeneratedSourceFolders()
    Deprecated.
    The directories containing generated the production sources. Must not be null.

  - ### setGeneratedSourceFolders

    public void setGeneratedSourceFolders(Set<Path> generatedSourceFolders)
    Deprecated.

  - ### getExcludeFolders

    public Set<Path> getExcludeFolders()
    Deprecated.
    The directories to be excluded. Must not be null.

  - ### setExcludeFolders

    public void setExcludeFolders(Set<Path> excludeFolders)
    Deprecated.

  - ### isInheritOutputDirs

    public boolean isInheritOutputDirs()
    Deprecated.
    If true, output directories for this module will be located below the output directory for the project; otherwise, `outputDir` and `testOutputDir` will take effect.

  - ### setInheritOutputDirs

    public void setInheritOutputDirs(boolean inheritOutputDirs)
    Deprecated.

  - ### getOutputDir

    public Path getOutputDir()
    Deprecated.
    The output directory for production classes. If `null`, no entry will be created.

  - ### setOutputDir

    public void setOutputDir(Path outputDir)
    Deprecated.

  - ### getTestOutputDir

    public Path getTestOutputDir()
    Deprecated.
    The output directory for test classes. If `null`, no entry will be created.

  - ### setTestOutputDir

    public void setTestOutputDir(Path testOutputDir)
    Deprecated.

  - ### getDependencies

    public Set<Dependency> getDependencies()
    Deprecated.
    The dependencies of this module. Must not be null.

  - ### setDependencies

    public void setDependencies(Set<Dependency> dependencies)
    Deprecated.

  - ### getJdkName

    public String getJdkName()
    Deprecated.

  - ### setJdkName

    public void setJdkName(String jdkName)
    Deprecated.

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Deprecated.
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### configure

    protected Object configure(Path contentPath, Set<Path> sourceFolders, Set<Path> testSourceFolders, Set<Path> resourceFolders, Set<Path> testResourceFolders, Set<Path> generatedSourceFolders, Set<Path> excludeFolders, Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, Set<Dependency> dependencies, String jdkName, String languageLevel)
    Deprecated.

  - ### load

    protected void load(Node xml)
    Deprecated.
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### store

    protected void store(Node xml)
    Deprecated.
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### isDependencyOrderEntry

    protected boolean isDependencyOrderEntry(Object orderEntry)
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`